Хватит искать! Время покупать!
У нас самые демократичные цены

Бесплатная доставка по России!
Всего 5-10 дней и товар у Вас!

Наложенный платеж
Мы принимаем наложенный платеж!

Главная » Статьи » Инструкции ELM327

Отличия адаптеров ELM327 версии 1.5 и 2.1

Начнем с того, что визуально вы не отличите две версии адаптера. Внешне они похожи как две капли воды.

Их отличия заключаются в разных микроконтроллерах и их прошивках.

 
 

Версию 2.1 начали выпускать в 2014 году. Мы говорим о китайской версии адаптера ELM327. Адаптеры, выпущенные на основе оригинальной микросхемы от компании Elmelectronics очень дороги для обычного потребителя (только микросхема версии 2.1 стоит 21$). В отличие от ELM327 v1.5 (v1.4), в основе которых лежит "заимствованная" когда-то у оригинальной ELM327 прошивка, версия 2.1 является полностью оригинальной разработкой китайцев и ничего общего с оригинальной ELM327 уже не имеет. Разрабатывались и тестировались данные адаптеры, судя по всему, под Torque, Scanmaster и т.д., с которыми они работают удовлетворительно.

Собственно, почему не работает: во-первых, не поддерживается, либо поддерживается неправильно некоторое количество AT-команд ELM327. Во вторых, местами адаптер ведет себя просто неадекватно, например, не возвращает ответ от модулей или возвращает его частично. Как это выглядит для пользователя: программа диагностики адаптер находит, но дальше либо не может подключиться к автомобилю, либо его идентифицировать.

В попытке удешевить свои изделия, сделать их более компактным и т.д. китайские разработчики жертвуют качеством и надежностью. При этом тестируются новые адаптеры на популярных программах, типа Torque, с которыми проблем обычно не возникает, т.к. протокол OBDII проще и требования к адаптеру значительно меньше.

ELM327 адаптер версии 2.1 не поддерживает или поддерживает не в полной мере протокол ISO9141-2 и ISO14230-4 (KWP2000), в большинстве случаев связь с ЭБУ не устанавливается.

Если на команды ATIB10, ATAL, ATSW00, приходят ответы: "знак вопроса (?)" (на ATIB10 должен быть ответ ОК, а не версия elm327 адаптера), то такой адаптер нестандартные протоколы не поддерживает. Если для подключения к вашему ЭБУ (Январь, Микас, Делфи...Авто: ВАЗы, Chery Tiggo, Nissan, Toyota JDM...) необходимо прописывать строки инициализации, то с помощью адаптера elm327 версии 2.1 связь скорее всего не установите!

Какой можно сделать вывод из выше сказанного и какие дать рекомендации?

Если у вас машина до 2005г, ВАЗ, если вы хотите использовать какие-то нераспространенные программы для диагностики или вам надо прописывать строку инициализации для соединения с вашим блоком управления, то лучше купить адаптер с версией 1.5.

Если же у вас современный автомобиль, не старше 10 лет, никаких строк инициализации вы не знаете и прописывать не собираетесь, будете пользоваться распространенными программами для диагностики, например Torque, то вам скорее всего подойдет адаптер с версией 2.1

Инструкции ELM327 09.02.2016 18634 3.9/10
Всего комментариев: 0
avatar